Save This Page
Home » apache-tomcat-6.0.16-src » org.apache.jk » common » [javadoc | source]
org.apache.jk.common
public class: AjpConstants [javadoc | source]
java.lang.Object
   org.apache.jk.common.AjpConstants
Common class for the AJP Protocol values
Field Summary
public static final  byte JK_AJP13_FORWARD_REQUEST    Message code for initial Request packet 
public static final  byte JK_AJP13_SHUTDOWN    Message code for a request to shutdown Tomcat 
public static final  byte JK_AJP13_PING_REQUEST    Message code for a Ping request (obsolete) 
public static final  byte JK_AJP13_CPING_REQUEST    Message code for a CPing request 
public static final  byte JK_AJP13_SEND_BODY_CHUNK    Response code that the package is part of the Response body 
public static final  byte JK_AJP13_SEND_HEADERS    Response code that the package is the HTTP headers 
public static final  byte JK_AJP13_END_RESPONSE    Response code for EOT 
public static final  byte JK_AJP13_GET_BODY_CHUNK    Response code to request the next Request body chunk 
public static final  byte JK_AJP13_CPONG_REPLY    Response code to reply to a CPing 
public static final  int SC_RESP_CONTENT_TYPE     
public static final  int SC_RESP_CONTENT_LANGUAGE     
public static final  int SC_RESP_CONTENT_LENGTH     
public static final  int SC_RESP_DATE     
public static final  int SC_RESP_LAST_MODIFIED     
public static final  int SC_RESP_LOCATION     
public static final  int SC_RESP_SET_COOKIE     
public static final  int SC_RESP_SET_COOKIE2     
public static final  int SC_RESP_SERVLET_ENGINE     
public static final  int SC_RESP_STATUS     
public static final  int SC_RESP_WWW_AUTHENTICATE     
public static final  byte SC_A_CONTEXT     
public static final  byte SC_A_SERVLET_PATH     
public static final  byte SC_A_REMOTE_USER     
public static final  byte SC_A_AUTH_TYPE     
public static final  byte SC_A_QUERY_STRING     
public static final  byte SC_A_JVM_ROUTE     
public static final  byte SC_A_SSL_CERT     
public static final  byte SC_A_SSL_CIPHER     
public static final  byte SC_A_SSL_SESSION     
public static final  byte SC_A_SSL_KEYSIZE     
public static final  byte SC_A_SECRET     
public static final  byte SC_A_STORED_METHOD     
public static final  byte SC_A_REQ_ATTRIBUTE    Request Attribute is passed as a String 
public static final  byte SC_A_ARE_DONE    Terminates list of attributes 
public static final  String[] methodTransArray    Translates integer codes to names of HTTP methods 
public static final  int SC_M_JK_STORED    Request Method is passed as a String 
public static final  int SC_REQ_ACCEPT     
public static final  int SC_REQ_ACCEPT_CHARSET     
public static final  int SC_REQ_ACCEPT_ENCODING     
public static final  int SC_REQ_ACCEPT_LANGUAGE     
public static final  int SC_REQ_AUTHORIZATION     
public static final  int SC_REQ_CONNECTION     
public static final  int SC_REQ_CONTENT_TYPE     
public static final  int SC_REQ_CONTENT_LENGTH     
public static final  int SC_REQ_COOKIE     
public static final  int SC_REQ_COOKIE2     
public static final  int SC_REQ_HOST     
public static final  int SC_REQ_PRAGMA     
public static final  int SC_REQ_REFERER     
public static final  int SC_REQ_USER_AGENT     
public static final  byte SC_A_SSL_KEY_SIZE     
public static final  String[] headerTransArray    Translates integer codes to request header names 
public static final  int MAX_PACKET_SIZE    Maximum Total byte size for a AJP packet 
public static final  int H_SIZE    Size of basic packet header 
public static final  int MAX_READ_SIZE    Maximum size of data that can be sent in one packet 
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait